Skip to main content
GET
/
v1
/
contexts
/
{contextId}
/
field-maps
List field maps for a context
curl --request GET \
  --url https://matcher.sandbox.lerian.net/v1/contexts/{contextId}/field-maps \
  --header 'Authorization: Bearer <token>'
{
  "hasMore": true,
  "items": [
    {
      "contextId": "<string>",
      "createdAt": "<string>",
      "id": "<string>",
      "mapping": {},
      "sourceId": "<string>",
      "updatedAt": "<string>",
      "version": 123
    }
  ],
  "limit": 100,
  "nextCursor": "<string>",
  "prevCursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer token authentication (format: "Bearer {token}")

Path Parameters

contextId
string<uuid>
required

Context ID

Query Parameters

limit
integer<int64>
default:20

Maximum number of records to return

Required range: 1 <= x <= 200
cursor
string

Cursor for pagination (opaque)

Response

OK

hasMore
boolean
required
Example:

true

items
object[] | null
required
Maximum array length: 200
limit
integer<int64>
required
Required range: 1 <= x <= 200
Example:

20

nextCursor
string
Example:

"eyJpZCI6IjEyMyJ9"

prevCursor
string
Example:

"eyJpZCI6IjEyMiJ9"